<?php

namespace app\provider;

class ClientProvider
{
    /**
     * 注册服务
     */
    public function register(){
        container()->bind([
            "C_Common_row_data"=>'app\client\common\C_row_data',
            "C_Common_appStore"=>'app\client\common\C_appStore',

            "C_Admin_software_upgrade_log"=>'app\client\admin\C_software_upgrade_log',
            "C_Admin_system_upgrade"=>'app\client\admin\C_system_upgrade',
            "C_Admin_category"=>'app\client\admin\C_category',
            "C_Admin_fields"=>'app\client\admin\C_fields',
            "C_Admin_script_install"=>'app\client\admin\C_script_install',
            "C_Admin_article"=>'app\client\admin\C_article',
            "C_Admin_cache"=>'app\client\admin\C_cache',
            "C_Admin_log_operation"=>'app\client\admin\C_log_operation',
            "C_Admin_setting"=>'app\client\admin\C_setting',
            "C_Admin_module"=>'app\client\admin\C_module',
        ]);

        container()->bind([
            "C_Api_file"=>'app\client\api\C_file',
            "C_Api_cache"=>'app\client\api\C_cache',
            "C_Api_goods"=>'app\client\api\C_goods',
            "C_Api_module"=>'app\client\api\C_module',
            "C_Api_category"=>'app\client\api\C_category',
        ]);

        container()->bind([
            "C_Index_adPosition"=>'app\client\index\C_adPosition',
            "C_Index_friendLink"=>'app\client\index\C_friendLink',
            "C_Index_article"=>'app\client\index\C_article',
        ]);

        container()->bind([
            "C_tool"=>'app\client\C_tool',
        ]);
    }

    /**
     * 服务启动
     */
    public function boot(){

    }
}