<?php

namespace plugins\yifang_backend_account\service\admin;

use plugins\yifang_backend_account\db\admin\D_rbac_node;

class S_rbac_node
{
    public $d_rbac_node;

    public function __construct()
    {
        $this->d_rbac_node = new D_rbac_node();
    }

    /**
     * 批量创建数据
     * @param string $paramObj
     * @return array
     */
    public function storeBatch($paramObj=""){
        return $this->d_rbac_node->storeBatch($paramObj);
    }

    /**
     * 获取数据详情
     * @param string $paramObj
     * @return array
     */
    public function getInfo($paramObj=""){
        return $this->d_rbac_node->getInfo($paramObj);
    }

    /**
     * 获取数据
     * @param string $paramObj
     * @return array
     */
    public function getData($paramObj=""){
        return $this->d_rbac_node->getData($paramObj);
    }

    /**
     * 创建数据
     * @param string $paramObj
     * @return array
     */
    public function store($paramObj=""){
        return $this->d_rbac_node->store($paramObj);
    }

    /**
     * 更新数据
     * @param string $paramObj
     * @return array
     */
    public function update($paramObj=""){
        return $this->d_rbac_node->update($paramObj);
    }

    /**
     * 获取数据详情
     * @param string $paramObj
     * @return array
     */
    public function info($paramObj=""){
        return $this->d_rbac_node->info($paramObj);
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function delete($paramObj=""){
        return $this->d_rbac_node->delete($paramObj);
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function deleteByPlugins($paramObj=""){
        return $this->d_rbac_node->deleteByPlugins($paramObj);
    }

    /**
     * 分页列表数据
     * @param string $paramObj
     * @return array
     */
    public function listData($paramObj=""){
        return $this->d_rbac_node->listData($paramObj);
    }

    public function __call($name,$arguments)
    {
        return recordLogMsgLevelTwo(app("errorLevel")::E_WARNING,app("errorCode")::UNDEFINED_METHOD,lang("sys.noMethodDefined"),$name,$arguments);
    }
}