<?php

use app\middleware\Login;
use app\middleware\webStatus;
use app\middleware\GlobalConfig;
use app\middleware\CheckYifangLogin;
use app\middleware\Security_xss;
use app\middleware\Security_csp;
use app\middleware\Seller_info;
use app\middleware\LoginJump;
use app\middleware\CheckLogin;
use app\middleware\CheckAuthBase;

$config=array();
$config['alias'] = array(
    "Login"=>Login::class,
    "webStatus"=>webStatus::class,
    "globalConfig"=>GlobalConfig::class,
    "checkYifangLogin"=>CheckYifangLogin::class,
    "securityXss"=>Security_xss::class,
    "securityCsp"=>Security_csp::class,
    "sellerInfo"=>Seller_info::class,
    "loginPage"=>LoginJump::class,
    "isAdminLogin"=>CheckLogin::class,
    "isAdminAuth"=>CheckAuthBase::class,
);
$config['priority'] = array(
    Security_csp::class,
    Security_csp::class,
    CheckLogin::class,
    CheckYifangLogin::class,
    LoginJump::class,
    CheckAuthBase::class,
    GlobalConfig::class,
);
return $config;
