<?php

namespace plugins\yifang_backend_account\service\admin;

use plugins\yifang_backend_account\db\admin\D_rbac_access;

class S_rbac_access
{
    public $d_rbac_access;

    public function __construct()
    {
        $this->d_rbac_access = new D_rbac_access();
    }

    /**
     * 批量创建数据
     * @param string $paramObj
     * @return array
     */
    public function storeBatch($paramObj=""){
        return $this->d_rbac_access->storeBatch($paramObj);
    }

    /**
     * 创建数据
     * @param string $paramObj
     * @return array
     */
    public function store($paramObj=""){
        return $this->d_rbac_access->store($paramObj);
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function delete($paramObj=""){
        return $this->d_rbac_access->delete($paramObj);
    }

    /**
     * 获取数据
     * @param string $paramObj
     * @return array
     */
    public function getData($paramObj=""){
        return $this->d_rbac_access->getData($paramObj);
    }

    public function __call($name,$arguments)
    {
        return recordLogMsgLevelTwo(app("errorLevel")::E_WARNING,app("errorCode")::UNDEFINED_METHOD,lang("sys.noMethodDefined"),$name,$arguments);
    }
}